Reply
Member
Posts: 6
Registered: ‎08-07-2020
Accepted Solution

Magento 2.4 and Authorize.net

Greetings,

 

I hope you are all safe from COVID-19.  Magento 2.4 depreciated Authorize.net.  Is there an API?  Is the Authorize.net extension on Magento Marketplace compatible with 2.4? It states 2.3x.

 

If no API for 2.4, can you PLEASE DEVELOP ONE asap.  I have 4 magento sites that use authorize.net.

 

Thanks for your attention.

 

Sheba


Accepted Solutions
Solution
Accepted by topic author shebafoods
‎08-20-2020 03:34 PM
Member
Posts: 3
Registered: ‎08-20-2020

Re: Magento 2.4 and Authorize.net

Authorize.net was included in Magento 2.3.5-p1 core modules so there isn't any need to install it. (Although it has been deprecated since 2.3.4 I think). In 2.4 Magento entirely removed the Authorize.net from core modules in favor of official (outdated) Authorize.net module.

 

 

View solution in original post


All Replies
Member
Posts: 6
Registered: ‎08-07-2020

Re: Magento 2.4 and Authorize.net

How did you fix it?

Member
Posts: 3
Registered: ‎08-20-2020

Re: Magento 2.4 and Authorize.net

Same problem.

 

Magento 2.4 has removed Authorize.net integration and it suggests switching to official Authorize.net module for Magento 2.

 

The official Authorize.net module (authorizenet/magento-module-authorizenet) is outdated. It doesn't support PHP 7.3 whereas Magento 2.4 requires minimum PHP 7.3.

 

We can't get the module to install even if we ignore the platform requirements because of several dependency requirement conflicts.

 

 

Member
Posts: 6
Registered: ‎08-07-2020

Re: Magento 2.4 and Authorize.net

So you are NOT using Authorize.net?

Member
Posts: 3
Registered: ‎08-20-2020

Re: Magento 2.4 and Authorize.net

I am using Authorize.net, which works fine for Magento 2.3.5-p1.

 

But currently I am planning to upgrade to Magento 2.4 and I couldn't get Authorize.net to work on Magento 2.4.

 

Guess, We'll have to hold the 2.4 upgrade, until Authorize.net team updates their module.

 

 

 

Member
Posts: 6
Registered: ‎08-07-2020

Re: Magento 2.4 and Authorize.net

Thanks for your prompt response.  Did you install the Authorize.net extension in 2.3.5p-1?

Solution
Accepted by topic author shebafoods
‎08-20-2020 03:34 PM
Member
Posts: 3
Registered: ‎08-20-2020

Re: Magento 2.4 and Authorize.net

Authorize.net was included in Magento 2.3.5-p1 core modules so there isn't any need to install it. (Although it has been deprecated since 2.3.4 I think). In 2.4 Magento entirely removed the Authorize.net from core modules in favor of official (outdated) Authorize.net module.

 

 

Member
Posts: 6
Registered: ‎08-07-2020

Re: Magento 2.4 and Authorize.net

Thank you so much.  Be Safe.

Member
Posts: 1
Registered: ‎10-13-2020

Re: Magento 2.4 and Authorize.net

So is Authorize.net plan to fix the problem or not?

 

We just signed up our merchant account which partners with Authorize.net.

 

Now I have to switch to Paypal.

Member
Posts: 3
Registered: ‎02-26-2020

Re: Magento 2.4 and Authorize.net

the Authorize.net default module is deprecated but there are many extensions are there on the Magento Marketplace which is approved by Magento marketplace.

 

You can check follwoing.

https://marketplace.magento.com/rootways-module-authorizenetcim.html